<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$pagea = 'version';
$titre = 'Versions';

	$template->assign('linkpage', 'version');

if (!empty($_GET['i']) && $_GET['i'] == 'add' && $sess->values['auth_level'] >= 7) {
	if (!empty($_POST['version']) && !empty($_POST['contenu'])) {
		$version = $_POST['version'];
		$contenu = $_POST['contenu'];
		$temps = time();
		$nom_user = trouvNom($id_user);
		$chapeau->connexion();
		$chapeau->escape($version);
		$chapeau->escape($contenu);
		$chapeau->query("INSERT INTO $table_version (version, contenu, temps, pseudo) VALUES ('$version', '$contenu', '$temps', '$nom_user');");
		$chapeau->deconnexion();

		header('Location: admin.php?p=version');
		exit;
	}
	$template->assign('id', 'add');
	$pagea = 'version_add';
}
elseif (!empty($_GET['i'])) {
	$id = $_GET['i'];
	if (!empty($_POST['version']) && !empty($_POST['contenu'])) {
		$version = $_POST['version'];
		$contenu = $_POST['contenu'];
		$chapeau->connexion();
		$chapeau->escape($version);
		$chapeau->escape($contenu);
		$chapeau->query("UPDATE $table_version SET version = '$version', contenu = '$contenu' WHERE id = '$id';");
		$chapeau->deconnexion();

		header('Location: admin.php?p=version');
		exit;
	}
	$chapeau->connexion();
	$req = $chapeau->unique_query("SELECT * FROM $table_version WHERE id = '$id';");
	$chapeau->deconnexion();
	$template->assign('mod', $req);
	$template->assign('id', $id);
	$pagea = 'version_add';
}
elseif (!empty($_GET['d']) && $sess->values['auth_level'] >= 7) {
	$id = $_GET['d'];
	$chapeau->connexion();
	$chapeau->escape($id);
	$chapeau->query("DELETE FROM $table_version WHERE id = '$id';");
	$chapeau->deconnexion();

	header('Location: admin.php?p=version');
	exit;
}
else {
	$chapeau->connexion();
	$req = $chapeau->query("SELECT * FROM $table_version ORDER BY temps DESC;");
	$chapeau->deconnexion();
	$template->assign('tableau', $req);
}
?>